/* @(#)sf_search.h	1.2	2/10/93 */
/*******************************************************************************

This code was written and designed by 
Andrew Gene HALL of I.N. Services Pty. Ltd., Scarborough WA, Australia,
for the 
University of Western Australia, Crawley WA, Australia.

*******************************************************************************/

#ifndef SF_SEARCH_H
#define SF_SEARCH_H
#include "utilitys.h"
#include "sf_space.h"


Block_Seq	*replicate_BS( Block_Seq *);
Data_Seq	*names_in_Data_Seq( char *, Data_Seq *, Boolean		(*equiv_string)(char *, char *) );

Block_Seq	*names_in_Block_Seq( char *, Block_Seq *, Boolean		(*equiv_string)(char *, char *) );

Boolean	matches_re( char *	re, char *	string);

char	*wildcard_to_re( char *	string);

char	*str_tolower( char *	string);
#endif
