/* @(#)operators.h	1.2	2/10/93 */
/*******************************************************************************

This code was written and designed by 
Andrew Gene HALL of I.N. Services Pty. Ltd., Scarborough WA, Australia,
for the 
University of Western Australia, Crawley WA, Australia.

*******************************************************************************/

#ifndef OPERATORS_H
#define OPERATORS_H
#include "utilitys.h"
#include "sf_space.h"

Block_Seq	*apply_fn_over_BS( Block_Seq	**, Data_Item	*,
Boolean		(*operator)( Data_Item *, Data_Item *));

Block_Seq	*intersection_BS( Block_Seq *, Block_Seq *, Block_Seq **);
Block_Seq	*union_BS( Block_Seq *, Block_Seq *);

Boolean		equal_strings( Data_Item *, Data_Item *);
Boolean		not_equal_strings( Data_Item *, Data_Item *);
Boolean		sub_string( Data_Item *, Data_Item *);
Boolean		not_sub_string( Data_Item *, Data_Item *);
Boolean		ascii_less( Data_Item *, Data_Item *);
Boolean		ascii_less_or_equal( Data_Item *, Data_Item *);
Boolean		ascii_greater( Data_Item *, Data_Item *);
Boolean		ascii_greater_or_equal( Data_Item *, Data_Item *);
Boolean		real_equal( Data_Item *, Data_Item *);
Boolean		real_not_equal( Data_Item *, Data_Item *);
Boolean		real_less( Data_Item *, Data_Item *);
Boolean		real_less_or_equal( Data_Item *, Data_Item *);
Boolean		real_greater( Data_Item *, Data_Item *);
Boolean		real_greater_or_equal( Data_Item *, Data_Item *);
char           *str_strip(char *); /*CHANGE 17/6  */
#endif
